﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DiskAccessLibrary.Mod.BlockDifferencingDiskImage
{
    public class IReadOnlyIndexer<TI, TV>
    {
        private readonly Func<TI, TV> _func;

        public IReadOnlyIndexer(Func<TI, TV> _func) => this._func = _func;

        public TV this[TI index] => _func(index);
    }
}
